View Issue Details

IDProjectCategoryView StatusLast Update
0002556ArchFeaturepublic2019-02-15 00:27
Reporteryorik Assigned Toyorik  
PrioritynormalSeverityminorReproducibilityN/A
Status closedResolutionfixed 
PlatformPCOSDebianOS VersionTesting 64bit
Product Version 
Target Version0.18Fixed in Version0.18 
Summary0002556: grid object refinements
DescriptionA new grid object, which can be composed of 1, 2 (or 3?) arch axes or based on arbitrary geometry.
It should be exportable and importable to/from an IfcGrid http://www.buildingsmart-tech.org/ifc/IFC4x1/html/schema/ifcproductextension/lexical/ifcgrid.htm

It should also allow the merging of adjacent areas comprised between axes, like spreadsheet cells.
It should also deliver a list of points (the intersections) and be able to build faces for each "cell".
It should also be possible to delete specific cells (make "holes" in the grid)
TagsIFC, spreadsheet
FreeCAD Information

Relationships

related to 0001844 new Integrate a client for the buildingSMART Data Dictionary web service 

Activities

yorik

2016-05-15 03:49

administrator   ~0007109

Possible workflow:

- create a face for each group of 4 axes (ex. A,B,3,4)
- handle possible self-intersections
- merge selected faces according to a list (ex. AB34 should be merged with AB45)
- remove selected faces according to a list (ex. remove BC12)
- build a shell from the remaining faces
- get verts and edges from that shell

yorik

2019-02-15 00:27

administrator   ~0012648

This is done already (arch grid)

Issue History

Date Modified Username Field Change
2016-05-15 03:37 yorik New Issue
2016-05-15 03:37 yorik Status new => assigned
2016-05-15 03:37 yorik Assigned To => yorik
2016-05-15 03:45 yorik Description Updated View Revisions
2016-05-15 03:49 yorik Note Added: 0007109
2017-05-22 13:57 Kunda1 Tag Attached: IFC
2017-07-13 01:11 Kunda1 Relationship added related to 0001844
2017-11-05 11:15 Kunda1 Tag Attached: spreadsheet
2017-11-05 11:20 Kunda1 Summary grid object => grid object refinements
2017-11-05 11:20 Kunda1 Description Updated View Revisions
2018-01-11 16:16 yorik Target Version => 0.18
2019-02-15 00:27 yorik Status assigned => closed
2019-02-15 00:27 yorik Resolution open => fixed
2019-02-15 00:27 yorik Fixed in Version => 0.18
2019-02-15 00:27 yorik Note Added: 0012648